Bug 126729 - Kernel Hang on Dual Xeon System
Kernel Hang on Dual Xeon System
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-25 08:51 EDT by ravi
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-25 23:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ravi 2004-06-25 08:51:24 EDT
Description of problem:

We have Kernel 2.6.4 kernel version which hang on daily 3 to 4 
times.We have just upgraded it via WHM. So please help me related to 
this issue also please provide me any permanent solution on this 

This is very argent issue. i am waiting for your reply.

Thank you, 

Best regards,

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Rik van Riel 2004-06-25 09:50:14 EDT
Ummm, kernel 2.6.4 ????

I don't think Red Hat has ever shipped that kernel as part of any
distribution.  Fedora Core 2 is 2.6.5 or 2.6.6 based and RHEL3 is
kernel 2.4.21 based.

Exactly what distribution and kernel are you using ?
Comment 2 ravi 2004-06-25 09:58:31 EDT

Please refr the following information :
root@perceptions [/etc]# uname -r
root@perceptions [/etc]# uname -a
Linux perceptions.jhservers209.com 2.6.4 #1 SMP Tue Mar 16 01:46:57 
EST 2004 i686 i686 i386 GNU/Linux
root@perceptions [/etc]# 

Thank you,

Best regards,
Comment 3 Ernie Petrides 2004-06-25 23:13:04 EDT
This is not a kernel from Red Hat.
Comment 4 John Klingler 2004-08-02 18:07:44 EDT
The 2.4.21-4.ELsmp and the newer 2.4.21-15.0.3.ELsmp kernels both hang
with dual Xeon processors every few hours. It seems random but is
probably not. A few minutes ago it hung when looking up a tag
definition with nedit. Several times it hung while compiling and
linking. If you don't run anything except normal system activities,
once in a while it will run overnight. Usually not.

When I say hung, I mean you can't ping it, there's no cursor and it
never comes back (if you consider two days sufficient to say "never").
You have to manually reset the system. 

It does not seem to happen with the 2.4.21-4.EL uniprocessor kernel. I
think you have a kernel race condition in your threads code. As you
may know, the Xeon appears as two CPUs to the kernel and can execute
two threads simultaneously (4 for a dual Xeon system). Perhaps this
creates a problem. 

I have tried 2.4.21-4.ELsmp on two dual Xeon systems with the same

Note You need to log in before you can comment on or make changes to this bug.